Fora

POL cannot find specific wineversion

Furthermore cannot change used wineversion

Autor Odpowiedzi
wandang Tuesday 16 February 2016 at 17:18
wandangAnonymous

Hello,

Linux version: Debian stretch.

Version de POL: 4.2.10

 

I installed Heroes of the Storm before and used wineversion "1.9.3-HeroesOfStorm-430083bugfix" 64bit (added via POL). Since this version did not fix the Heroes of the Storm issue/bug I uninstalled that wineversion. A warning told me that this wineversion was still in use. But since an accept button was presented I figured that POL will stop anything necessary before removing it.

Unfortunately something did go wrong here.

Whenever I try to reinstall Heroes of the Storm I get this message: "Unable to find version: 1.9.3-HeroesOfStorm-430083bugfix"

I tried to change the version before installing HotS in the config menu but it does not change from System to (for example) 1.9.3-staging which I installed too. It always switches back to "System" which for some reason is "1.9.3-HeroesOfStorm-430083bugfix".

So I can no longer use POL at the moment until this is fixed. Any ideas/help is appreciated.

 

EDIT: I read that I cannot switch between 64 and 32bit wineversions in POL. So I uninstalled all 32bit and installed 64bit versions. Those versions are not appearing in the gameconfig menu. I can only choose between "System" and "installing". Choosing "installing" switches back to "System"

List of things I tried:

  • purging POL and wine, reinstalling both
  • switching wineversions
  • manually deleting .POL folder after purging
  • deleting hots config template

PS: I do not have any log output. The only info I can post is from the terminal:

*****@debwan:~$ playonlinux
Looking for python... 2.7.11 - wxversion(s): 3.0-gtk2
selected
Gtk-Message: Failed to load module "canberra-gtk-module"
[main] Message: PlayOnLinux (4.2.10) is starting
[clean_tmp] Message: Cleaning temp directory
[Check_OpenGL] Warning: check_dd_x86 missing, test skipped
[Check_OpenGL] Warning: check_dd_amd64 missing, test skipped
[POL_System_CheckFS] Message: Checking filesystem for /home/****/.PlayOnLinux/
[main] Message: Filesystem is compatible
[install_plugins] Message: Checking plug-in: ScreenCap...
[install_plugins] Message: Checking plug-in: PlayOnLinux Vault...
[update_check] Message: List is up to date
[POL_GPG_auth_script] Message: Checking signature of /home/****/.PlayOnLinux//install
[POL_GPG_install_key] Message: Importing PlayOnLinux public key
[POL_Bash] Message: POL GPG : Good signature - Heroes of the Storm
[POL_SetupWindow_Init] Message: Creating new window for pid 24680
[POL_Wine_SelectPrefix] Message: Selecting prefix: heroes_of_the_storm
[POL_System_SetArch] Message: POL_ARCH set to x86
[POL_Wine_PrefixCreate] Message: Setting POL_WINEVERSION to 1.9.3-HeroesOfStorm-430083bugfix
[POL_Wine_PrefixCreate] Message: Creating prefix (1.9.3-HeroesOfStorm-430083bugfix)...
[POL_Wine_PrefixCreate] Message: Prefix already exists
[POL_SetupWindow_menu] Message: menu answer: Erase (virtual drive content will be lost)
[POL_Wine_PrefixCreate] Message: Erase Prefix
[POL_Wine_PrefixCreate] Message: Using wine 1.9.3-HeroesOfStorm-430083bugfix
[POL_Wine_InstallVersion] Message: Installing wine version path: 1.9.3-HeroesOfStorm-430083bugfix, x86
[POL_Wine_InstallVersion] Error: Unable to find version: 1.9.3-HeroesOfStorm-430083bugfix

 

Edytowane przez wandang

petch Tuesday 16 February 2016 at 18:57
petch
Developer

You cannot switch a virtual drive between 32 and 64bit mode once it is created, this is a Wine limitation

And there was no version 1.9.3-HeroesOfStorm-430083bugfix, which was a typo in the script, it's 1.9.3-HeroesOfStorm-40083bugfix. Maybe this is involved in what you saw? All the bets are off

Edytowane przez petch

wandang Tuesday 16 February 2016 at 20:07
wandangAnonymous

So for some reason POL expects the typo version of wine to launch HotS. And since I cannot install this one anymore (POL lists the correct version in the wine management) , POL wont find it and I cannot install HotS.

How can I completely remove POL? So I would no longer have this typo version expected? Where is this config saved? Purging combined with deleting POL folder in /home/ does not work.

 

Thanks for your fast response

petch Tuesday 16 February 2016 at 20:24
petch
Developer

The typo was in the install script for HotS, that has always been on the web server (scripts are never cached client-side).

Since I fixed the typo it should be of no concern anymore.

Edytowane przez petch

wandang Tuesday 16 February 2016 at 20:57
wandangAnonymous

I went shopping groceries after my last comment. For some reason now this bug doesnt appear anymore.

What I did before going shopping was: Installing every wine 1.9.3 version (3 32bit and 3 64bit) and trying it with those and it didnt work. Now it somehow does (at least start the install. will report later if the entire game works)

 

Thank you petch for your help!